View Issue Details

IDProjectCategoryView StatusLast Update
0002117FreeCADBugpublic2015-12-15 13:17
ReporteropenCivAssigned Towmayer 
PrioritynormalSeveritymajorReproducibilitysometimes
Status closedResolutionfixed 
PlatformMacOSosxOS Version10.10.3
Product Version0.14 
Target VersionFixed in Version0.16 
Summary0002117: problems with rendering an arc - NAN
Descriptionsse this example where creating an arc removs everything from the viewport.

https://www.youtube.com/watch?v=7HlOkCTMBnE&feature=youtu.be
Steps To Reproducehttps://www.youtube.com/watch?v=7HlOkCTMBnE&feature=youtu.be
TagsNo tags attached.

Activities

wmayer

2015-09-13 14:07

administrator   ~0006405

From you video one could see that there is an error report:
> Unhandled exception in ViewProvider::eventCallback:
but it was impossible to read the whole message.

Once you get this again could you post the full message, please? You can copy it when activating the Output window.

wmayer

2015-09-13 14:29

administrator   ~0006408

In almost none of the sub-classes of DrawSketchHandler there is an exception handling done. Inside the method "releaseButton" Python code is executed which can raise an exception which is ignored.

wmayer

2015-09-13 14:34

administrator   ~0006409

I guess what happens is that when a NaN is produced it contains a '#' which Python handles as comment and thus the Python statement leads to a syntax error.

So, it would be good to locate the place where the NaN is created.

Issue History

Date Modified Username Field Change
2015-05-23 13:08 openCiv New Issue
2015-09-13 14:07 wmayer Note Added: 0006405
2015-09-13 14:07 wmayer Status new => feedback
2015-09-13 14:29 wmayer Note Added: 0006408
2015-09-13 14:34 wmayer Note Added: 0006409
2015-09-15 10:54 wmayer Changeset attached => FreeCAD Master master 7dc59751
2015-09-15 10:54 wmayer Assigned To => wmayer
2015-09-15 10:54 wmayer Status feedback => closed
2015-09-15 10:54 wmayer Resolution open => fixed
2015-12-15 13:17 yorik Fixed in Version => 0.16